CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

TextInside Property (ActiveX)

2023-1-3 04:03| 发布者: admin| 查看: 193| 评论: 0|来自: AutoCAD

摘要: 指定是否要在延长线内绘制尺寸文本。

指定是否要在延长线内绘制尺寸文本。

支持的平台:仅窗口

签名

工 务 局:

object.TextInside
对象

类型:三点角度,暗对齐,暗,暗弧长度,暗直径,暗径向,暗径大,旋转

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:强制在延长线之间显示尺寸文本。
  • False:仅当有足够的空间时,才在延长线内绘制尺寸文本。

言论

此属性的初始值为。True

将此属性设置为 具有不同的结果。对于线性尺寸和角度尺寸,如果有足够的空间,AutoCAD 会将文本放置在延伸线内。对于不适合圆或弧内的半径和直径尺寸,此属性不起作用,并且始终强制将文本置于圆或弧之外。False

注意:此属性将覆盖给定维度的 DIMTIX 系统变量的值。

例子

工 务 局:

Sub Example_TextInside()
    ' This example creates an aligned dimension in model space and
    ' allows the user to toggle, forcing the dimension text between the extension lines
    ' using the TextInside property

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim CurrentValue As String
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll

Toggle:
    Select Case MsgBox("Press OK to toggle forcing the dimension text inside the extension lines", vbOKCancel)
        Case vbOK
            ' Toggle forcing the dimension text inside the extension lines
            dimObj.TextInside = Not (dimObj.TextInside)
            ThisDrawing.Regen acAllViewports
            
            ' Read and display the new dimension TextInside value
            CurrentValue = IIf(dimObj.TextInside, "is now", "is not")
            MsgBox "The dimension text " & CurrentValue & " forced inside the extension lines"
        
        Case vbCancel
            Exit Sub
    End Select
    
    GoTo Toggle
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TextInside()
    ;; This example creates an aligned dimension in model space and
    ;; allows the user to toggle, forcing the dimension text between the extension lines
    ;; using the TextInside property
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; Toggle forcing the dimension text inside the extension lines
    (vla-put-TextInside dimObj (if (= (vla-get-TextInside dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; Read and display the new dimension TextInside value
    (setq CurrentValue (if (= (vla-get-TextInside dimObj) :vlax-true) "is now" "is not"))
    (alert (strcat "The dimension text " CurrentValue " forced inside the extension lines"))

    ;; Toggle forcing the dimension text inside the extension lines
    (vla-put-TextInside dimObj (if (= (vla-get-TextInside dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; Read and display the new dimension TextInside value
    (setq CurrentValue (if (= (vla-get-TextInside dimObj) :vlax-true) "is now" "is not"))
    (alert (strcat "The dimension text " CurrentValue " forced inside the extension lines"))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 13:28

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部